#!/usr/bin/perl

use strict;
use warnings;

use FindBin qw($Bin);
use lib "$Bin/lib";

use 5.010;

use Data::Dumper (qw(Dumper));
local $Data::Dumper::Purity   = 1;
local $Data::Dumper::Useqq    = 1;
local $Data::Dumper::Sortkeys = sub {
    my ($hash) = @_;
    return [ ( sort { lc $a cmp lc $b } keys %$hash ) ];
};

use Net::SMTP::Server;
use Net::SMTP::Server::Client;

$Net::SMTP::Server::Client::DEBUG       = 2;   # 1 = normale Ausgabe an STDERR
                                               # 2 = zus. Dump des $client
$Net::SMTP::Server::Client::FORCE_LOGIN = 1;   # Versand nur mit Login an SMTP

my $domain = 'pc1.fritz.box';                  # IP des lokalen SMTP-Servers

my $server = Net::SMTP::Server->new( $domain, 25 ) or die;

while ( my $conn = $server->accept() ) {
    my $client = Net::SMTP::Server::Client->new($conn)
      or die "Unable to handle client connection: $!\n";

    $client->logindb('login.db');

    $client->process;

    $Net::SMTP::Server::Client::DEBUG >= 2 and say Dumper($client);
}
